﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using RasonNetwork;

public class ColorChange : NetworkedBehaviour
{
    [RRPC]
    void ChangeColor(Color col)
    {
        // Change the renderer Color.
        GetComponent<MeshRenderer>().material.color = col;
    }

    void OnMouseDown()
    {
        // Send RPC "ChangeColor" with a random color.
        netObject.CallRpc("ChangeColor", TargetPlayer.AllSaved, true, Random.ColorHSV());
    }
}
